[Deprecated]: v1.0

get

/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/resupplies

Deprecated: Retrieves all resupply groups created for a study.
Rights: SupplySettingRightsGet. Required sponsor roles are clinical supply manager and site manager.triggerWeeks and resupplyWeeks fields aren't needed for Min/Max strategies, so they're hidden when fetched.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : ResupplyGroupResponse
Type: object
Title: ResupplyGroupResponse
Response object for resupply group.
Show Source
Nested Schema : resupplies
Type: array
Show Source
Nested Schema : ResupplyGroup
Type: object
Title: ResupplyGroup
Resupply group details.
Show Source
Nested Schema : kitTypes
Type: array
Show Source
Nested Schema : KitTypeSummary v1.0
Type: object
Title: KitTypeSummary v1.0
Kit type summary details object.
Show Source
Example:
{
    "id":"938D23FA6B7241CCA41BD627E5DB60DA",
    "name":"Dose Kit"
}

404 Response

Resupply not found.
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top